#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 2

Name:           extra-cmake-modules
Version: 5.32.0
Release:        %mkrel %{rel}
Summary:        Extra modules and scripts for CMake

Group:          Development/KDE and Qt
License:        MIT
URL:            http://www.kde.org/
Source0:        http://download.kde.org/stable/frameworks/%{url_ver}/%name-%version.tar.xz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  qt5help-devel
BuildRequires:  qttools5-assistant

%description
Extra modules and scripts for CMake.

%files
%_datadir/ECM
%doc %_docdir/ECM
%_mandir/man?/*.*

%prep
%setup -q
%autopatch -p1

%build
%cmake -DBUILD_QTHELP_DOCS=ON
%make_build

%install
%make_install -C build


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089154
- Rebuild for testing

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088940
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074511
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072172
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058331
- New version 5.27.0

* Thu Sep 15 2016 daviddavid <daviddavid> 5.26.0-2.mga6
+ Revision: 1053232
- build the QtHelp documentation

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050508
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045086
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041308
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021907
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014317
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999614
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986305
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942226
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921260
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909909
- New version 5.17.0

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-5.mga6
+ Revision: 899318
- New ecm tarball

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 898904
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-4.mga6
+ Revision: 888228
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-4.mga6
+ Revision: 881368
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-4.mga6
+ Revision: 862913
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-4.mga6
+ Revision: 862791
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 853774
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-3.mga6
+ Revision: 841548
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 1.5.0-3.mga5
+ Revision: 803389
- New version 1.5.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 749894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 679069
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 1.1.0-1.mga5
+ Revision: 660585
- New version 1.1.0
- Remove merged patch

* Sun Jul 27 2014 neoclust <neoclust> 1.0.0-3.mga5
+ Revision: 656898
- Add definition for KXMLGUI_INSTALL_DIR

* Mon Jul 07 2014 neoclust <neoclust> 1.0.0-2.mga5
+ Revision: 650505
- Build documentation

* Mon Jul 07 2014 neoclust <neoclust> 1.0.0-1.mga5
+ Revision: 650498
- New version 1.0.0

* Sun Jun 29 2014 neoclust <neoclust> 0.0.14-1.mga5
+ Revision: 641116
- New version 0.0.14

* Thu May 22 2014 neoclust <neoclust> 0.0.13-1.mga5
+ Revision: 625077
- New version 0.0.13

* Thu Apr 03 2014 neoclust <neoclust> 0.0.12-2.mga5
+ Revision: 611466
- Rebuild to fix a BS weirdness
- New version

* Wed Mar 05 2014 neoclust <neoclust> 0.0.11-1.mga5
+ Revision: 599659
- New version 0.0.11

* Sun Feb 16 2014 neoclust <neoclust> 0.0.10-1.mga5
+ Revision: 592815
- New version

* Tue Feb 04 2014 neoclust <neoclust> 0.0.9-1.mga5
+ Revision: 580527
- New version

* Sat Oct 19 2013 umeabot <umeabot> 0.0.8-4.mga4
+ Revision: 528477
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 neoclust <neoclust> 0.0.8-3.mga4
+ Revision: 445311
- New version ( needed for current framework branch)

* Mon May 27 2013 neoclust <neoclust> 0.0.8-2.mga4
+ Revision: 428735
- Make ecm, arch dependant

* Mon May 27 2013 neoclust <neoclust> 0.0.8-1.mga4
+ Revision: 428637
- New version 0.0.8

* Mon Jan 28 2013 neoclust <neoclust> 0.0.6-1.mga3
+ Revision: 392940
- imported package extra-cmake-modules

